﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PivotGridTest
{
    public class Data
    {
        public static IQueryable<Person> GetPeople()
        {
            List<Person> people = new List<Person>();
            people.Add(new Person { Gender = "M", TypeCode = "A", AgeGroup = 4, Income = 100, ReferenceIncome = 5000m });
            people.Add(new Person { Gender = "M", TypeCode = "B", AgeGroup = 3, Income = 112, ReferenceIncome = 5000m });
            people.Add(new Person { Gender = "M", TypeCode = "C", AgeGroup = 5, Income = 95, ReferenceIncome = 5000m });
            people.Add(new Person { Gender = "M", TypeCode = "D", AgeGroup = 3, Income = 130, ReferenceIncome = 5000m });

            people.Add(new Person { Gender = "F", TypeCode = "A", AgeGroup = 5, Income = 100, ReferenceIncome = 5000m });
            people.Add(new Person { Gender = "F", TypeCode = "B", AgeGroup = 3, Income = 112, ReferenceIncome = 5000m });
            people.Add(new Person { Gender = "F", TypeCode = "D", AgeGroup = 3, Income = 95, ReferenceIncome = 5000m });
            people.Add(new Person { Gender = "F", TypeCode = "E", AgeGroup = 2, Income = 130, ReferenceIncome = 5000m });

            return (from p in people select p).AsQueryable();
        }
    }

    public class Person
    {
        public string Gender { get; set; }
        public int AgeGroup { get; set; }
        public string TypeCode { get; set; }
        public decimal Income { get; set; }
        public decimal ReferenceIncome { get; set; }
    }
}
